Skip to main content
GET
/
pension-calculation
/
csv
/
year
/
{year}
/
period
/
{period}
/
frequency
/
{frequency}
/
payroll-config
/
{payrollConfigId}
cURL
curl --request GET \
  --url https://api.sandbox.flowpayroll.ai/v2/pension/pension-calculation/csv/year/{year}/period/{period}/frequency/{frequency}/payroll-config/{payrollConfigId}
{
  "content": {
    "data": {
      "frequency": "<string>",
      "year": 123,
      "period": 123,
      "payrollConfigId": "<string>",
      "organisationId": "<string>",
      "file_url": "<string>"
    },
    "metadata": {
      "dateFormat": "<string>",
      "dateTimeFormat": "<string>"
    }
  },
  "metadata": {
    "dateFormat": "<string>",
    "dateTimeFormat": "<string>"
  },
  "errors": [
    {
      "field": "<string>",
      "reasonText": "<string>",
      "reasonId": "<string>",
      "reasonParameters": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "message": {
    "text": "<string>",
    "textId": "<string>",
    "textParameters": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

frequency
string
required
year
integer<int32>
required
period
integer<int32>
required
payrollConfigId
string
required

Response

200 - application/json

OK

content
object
metadata
object
errors
object[] | null
message
object